within SOFCPoliMi.Media.Utilities;
package SpeciesData
  extends Modelica.Icons.MaterialPropertiesPackage;
  constant Real cpH2Omass[4] = {-2.2817222567515e-07, 0.00068126780231503, 0.046306944938403, 1792.2033608181};
  constant Real cpH2mass[4] = {2.6997853748501e-07, 0.00032759518590539, 0.06803723179264, 14324.363921531};
  constant Real cpCO2mass[4] = {2.2131327339673e-07, -0.00092151007501244, 1.4416059822539, 493.52730053016};
  constant Real cpCOmass[4] = {-1.5874856105094e-07, 0.00038389958942411, -0.068128907330494, 1025.7766165635};
  constant Real cpCH4mass[4] = {-5.6776551798465e-07, 0.00048562268849522, 3.5809130457096, 1087.3242540246};
  constant Real cpC2H6mass[4] = {3.9336581603912e-07, -0.0025939417819359, 6.1606820767477, 115.30876220525};
  constant Real cpC3H8mass[4] = {6.9469559921696e-07, -0.0034853852149653, 6.8351551007804, -82.089844972404};
  constant Real cpO2mass[4] = {-6.9227589493855e-09, -0.00011005218338676, 0.40567177501433, 801.06933856571};
  constant Real cpN2mass[4] = {-1.7194266972964e-07, 0.00044985407669626, -0.16123790188215, 1048.8091727539};
  constant Real cpArmass[4] = {7.766642892724e-14, -1.9260545664121e-10, 1.3792435213858e-07, 520.33090172226};
  constant Real cpH2Omol[4] = cpH2Omass*Modelica.Media.IdealGases.Common.SingleGasesData.H2O.MM;
  constant Real cpH2mol[4] = cpH2mass*Modelica.Media.IdealGases.Common.SingleGasesData.H2.MM;
  constant Real cpCO2mol[4] = cpCO2mass*Modelica.Media.IdealGases.Common.SingleGasesData.CO2.MM;
  constant Real cpCOmol[4] = cpCOmass*Modelica.Media.IdealGases.Common.SingleGasesData.CO.MM;
  constant Real cpCH4mol[4] = cpCH4mass*Modelica.Media.IdealGases.Common.SingleGasesData.CH4.MM;
  constant Real cpC2H6mol[4] = cpC2H6mass*Modelica.Media.IdealGases.Common.SingleGasesData.C2H6.MM;
  constant Real cpC3H8mol[4] = cpC3H8mass*Modelica.Media.IdealGases.Common.SingleGasesData.C3H8.MM;
  constant Real cpO2mol[4] = cpO2mass*Modelica.Media.IdealGases.Common.SingleGasesData.O2.MM;
  constant Types.SpecificEnthalpy HfH2Omass = Modelica.Media.IdealGases.Common.SingleGasesData.H2O.Hf;
  constant Types.SpecificEnthalpy HfH2mass = Modelica.Media.IdealGases.Common.SingleGasesData.H2.Hf;
  constant Types.SpecificEnthalpy HfCO2mass = Modelica.Media.IdealGases.Common.SingleGasesData.CO2.Hf;
  constant Types.SpecificEnthalpy HfCOmass = Modelica.Media.IdealGases.Common.SingleGasesData.CO.Hf;
  constant Types.SpecificEnthalpy HfCH4mass = Modelica.Media.IdealGases.Common.SingleGasesData.CH4.Hf;
  constant Types.SpecificEnthalpy HfC2H6mass = Modelica.Media.IdealGases.Common.SingleGasesData.C2H6.Hf;
  constant Types.SpecificEnthalpy HfC3H8mass = Modelica.Media.IdealGases.Common.SingleGasesData.C3H8.Hf;
  constant Types.SpecificEnthalpy HfO2mass = Modelica.Media.IdealGases.Common.SingleGasesData.O2.Hf;
  constant Types.SpecificEnthalpy HfN2mass = Modelica.Media.IdealGases.Common.SingleGasesData.N2.Hf;
  constant Types.SpecificEnthalpy HfArmass = Modelica.Media.IdealGases.Common.SingleGasesData.Ar.Hf;
  constant Types.SpecificEnthalpy HfH2Omol = Modelica.Media.IdealGases.Common.SingleGasesData.H2O.Hf*Modelica.Media.IdealGases.Common.SingleGasesData.H2O.MM;
  constant Types.SpecificEnthalpy HfH2mol = Modelica.Media.IdealGases.Common.SingleGasesData.H2.Hf*Modelica.Media.IdealGases.Common.SingleGasesData.H2.MM;
  constant Types.SpecificEnthalpy HfCO2mol = Modelica.Media.IdealGases.Common.SingleGasesData.CO2.Hf*Modelica.Media.IdealGases.Common.SingleGasesData.CO2.MM;
  constant Types.SpecificEnthalpy HfCOmol = Modelica.Media.IdealGases.Common.SingleGasesData.CO.Hf*Modelica.Media.IdealGases.Common.SingleGasesData.CO.MM;
  constant Types.SpecificEnthalpy HfCH4mol = Modelica.Media.IdealGases.Common.SingleGasesData.CH4.Hf*Modelica.Media.IdealGases.Common.SingleGasesData.CH4.MM;
  constant Types.SpecificEnthalpy HfC2H6mol = Modelica.Media.IdealGases.Common.SingleGasesData.C2H6.Hf*Modelica.Media.IdealGases.Common.SingleGasesData.C2H6.MM;
  constant Types.SpecificEnthalpy HfC3H8mol = Modelica.Media.IdealGases.Common.SingleGasesData.C3H8.Hf*Modelica.Media.IdealGases.Common.SingleGasesData.C3H8.MM;
  constant Types.SpecificEnthalpy HfO2mol = Modelica.Media.IdealGases.Common.SingleGasesData.O2.Hf*Modelica.Media.IdealGases.Common.SingleGasesData.O2.MM;
  constant Types.SpecificMolarGibbsFreeEnergy GfH2Omol = -228800;
  constant Types.SpecificMolarGibbsFreeEnergy GfH2mol = 0;
  constant Types.SpecificMolarGibbsFreeEnergy GfCO2mol = -394600;
  constant Types.SpecificMolarGibbsFreeEnergy GfCOmol = -137400;
  constant Types.SpecificMolarGibbsFreeEnergy GfCH4mol = -50870;
  constant Types.SpecificMolarGibbsFreeEnergy GfC2H6mol = -32950;
  constant Types.SpecificMolarGibbsFreeEnergy GfC3H8mol = -23490;
  constant Types.SpecificMolarGibbsFreeEnergy GfO2mol = 0;
end SpeciesData;
